org.apache.cassandra.cache

## Class ConcurrentLinkedHashCacheProvider

- java.lang.Object
- - org.apache.cassandra.cache.ConcurrentLinkedHashCacheProvider

- All Implemented Interfaces:
    IRowCacheProvider

      public class ConcurrentLinkedHashCacheProvider
      extends java.lang.Object
      implements IRowCacheProvider

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConcurrentLinkedHashCacheProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ICache<RowCacheKey,IRowCacheEntry>` | `create(long capacity)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConcurrentLinkedHashCacheProvider

          public ConcurrentLinkedHashCacheProvider()

  - ### Method Detail

    - #### create

          public ICache<RowCacheKey,IRowCacheEntry> create(long capacity)

      Specified by:
        `create` in interface `IRowCacheProvider`

Copyright © 2014 The Apache Software Foundation